org.eclipse.ease.ui.dnd

## Class ShellDropTarget

- java.lang.Object
- - org.eclipse.swt.dnd.DropTargetAdapter
  - - org.eclipse.ease.ui.dnd.ShellDropTarget

All Implemented Interfaces:
  EventListener, DropTargetListener, SWTEventListener

    public final class ShellDropTarget
    extends DropTargetAdapter

DND support for JavaScript shell. DND of plain text, files, resources and IDevices is supported.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `addDropSupport(Control parent, IScriptEngineProvider engineProvider)` Add drop support for various objects.
`void` `dragEnter(DropTargetEvent event)`
`void` `drop(DropTargetEvent event)`

### Methods inherited from class org.eclipse.swt.dnd.DropTargetAdapter

`dragLeave, dragOperationChanged, dragOver, dropAccept`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### addDropSupport

    public static void addDropSupport(Control parent,
                                      IScriptEngineProvider engineProvider)

Add drop support for various objects. A drop will always be interpreted as copy, even if move was requested.

Parameters:
  `parent` - control accepting drops
  `javaScriptShell` - shell for DND action execution

#### dragEnter

    public void dragEnter(DropTargetEvent event)

Specified by:
  `dragEnter` in interface `DropTargetListener`
Overrides:
  `dragEnter` in class `DropTargetAdapter`

#### drop

    public void drop(DropTargetEvent event)

Specified by:
  `drop` in interface `DropTargetListener`
Overrides:
  `drop` in class `DropTargetAdapter`